Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTime Namespace Reference

## Compounds
interface | TimeService
exception | TimeUnavailable
interface | TIO
interface | UTO
## Enumerations
enum | TimeComparison { TCEqualTo, TCLessThan, TCGreaterThan, TCIndeterminate }
enum | ComparisonType { IntervalC, MidC }
enum | OverlapType { OTContainer, OTContained, OTOverlap, OTNoOverlap }

## Enumeration Type Documentation

enum CosTime::ComparisonType

  | Enumeration values:
  IntervalC |
  MidC |

enum CosTime::OverlapType

  | Enumeration values:
  OTContainer |
  OTContained |
  OTOverlap |
  OTNoOverlap |

enum CosTime::TimeComparison

  | Enumeration values:
  TCEqualTo |
  TCLessThan |
  TCGreaterThan |
  TCIndeterminate |